package org.etsi.mts.tdl.execution.java.tri;

import java.util.List;

/**
 * Encapsulation of procedure signature as specified in TDL model .
 */
public interface Procedure extends NamedElement {

	/**
	 * Get the parameters with <i>ParameterKind::In</i>.
	 */
	List<Parameter> getIn();

	/**
	 * Get the parameters with <i>ParameterKind::Out</i>.
	 */
	List<Parameter> getOut();

	/**
	 * Get the parameters with <i>ParameterKind::Exception</i>.
	 */
	List<Parameter> getException();
}
	